Subject: Re: [PATCH] tulip: Fix for MTU problems with 802.1q tagged frames

From: Ben McKeegan <[email-masked]>
Date: Fri, 06 Mar 2009 12:48:38 +0000

Ivan Vecera wrote:
> The original patch was submitted last year but wasn't discussed or applied
> because of missing maintainer's CCs. I only fixed some formatting errors,
> but as I saw tulip is very badly formatted and needs further work.
> 
> Original description:
> This patch fixes MTU problem, which occurs when using 802.1q VLANs. We
> should allow receiving frames of up to 1518 bytes in length, instead of
> 1514.
> 
> Based on patch written by Ben McKeegan for 2.4.x kernels. It is archived
> at http://www.candelatech.com/~greear/vlan/howto.html#tulip
> I've adjusted a few things to make it apply on 2.6.x kernels.
> 
> Tested on D-Link DFE-570TX quad-fastethernet card.
> 
> Signed-off-by: Tomasz Lemiech <[email-masked]>
> Signed-off-by: Ivan Vecera <[email-masked]>

Looks good.  FWIW:

Signed-off-by: Ben McKeegan <[email-masked]>